# k-means의 실행
state.km <- kmeans(scale(state.x77[,1:6]),3)

# 주성분 분석의 실행
state.pca <- prcomp(state.x77[, 1:6], scale=T)

# 주성분 분석의 결과에 클러스터의 정보를 부여한다
state.pca.df <- data.frame(state.pca$x)
state.pca.df$name <- rownames(state.pca.df)
state.pca.df$cluster <- as.factor(state.km$cluster)

# 그리기
ggplot(state.pca.df,aes(x=PC1,y=PC2,label=name,col=cluster)) + geom_text() + theme_bw(16)