install.packages(“caret”)
install.packages(“e1071”)
install.packages(“kernlab”)
install.packages(“randomForest”)
library(kernlab)
library(randomForest)
library(caret)
library(e1071)

data(spam)
head(spam)
table(spam[,58])

# 학습용 데이터와 테스트용 데이터로 분리
train.index <- createDataPartition(spam$type,p=0.5,list=F)
spam.train <- spam[train.index,]
spam.test <- spam[-train.index,]

# training 방법의 커스터마이즈: LGOCV로 75%를 training에 사용해서 5번 반복
fitControl <- trainControl(method=”LGOCV”, p=0.75, number=5)

# SVM
spam.svm <- train(spam.train[,-58], spam.train$type, method=”svmRadial”, preProcess=c(”center”, “scale”), trControl=fitControl)

# 랜덤 포레스트
spam.rf <- train(spam.train[,-58], spam.train$type, method=”rf”, preProcess=c(”center”, “scale”), trControl=fitControl)
allPred <- extractPrediction(list(spam.svm,spam.rf),testX=spam.test[,-58],testY=spam.test$type)
testPred <- allPred[allPred$dataType==”Test”,]
tp.svm <- testPred[testPred$model==”svmRadial”,]
tp.rf <- testPred[testPred$model==”rf”,]
confusionMatrix(tp.svm$pred,tp.svm$obs)
confusionMatrix(tp.rf$pred,tp.rf$obs)