# 연간 종합 순위의 취득
get.ranks <- function(year=2012) {
	url.str <- paste0(”http://ja.wikipedia.org/wiki/”, year, “年のJリーグ”)
	ranks.html <- readLines(con = url.str, n = -1L, warn = FALSE)
	doc <- htmlParse(url.str, encoding=”UTF-8”)
	tbl <- readHTMLTable(doc, stringsAsFactors=FALSE)
	if (length(grep(”年間総合順位”, ranks.html)) > 0) {
		# 2 시즌제
		rnk.tbl <- as.data.frame(tbl[5])
	} else {
		# 1 시즌제
		rnk.tbl <- as.data.frame(tbl[7])
	}
	ranking <- rnk.tbl[,2]
	names(ranking) <- 1:length(ranking)
	return(ranking)
}

#연간 순위 데이터를 벡터로 취득
rnk <- get.raks(2011)
#데이터 프레임으로 변환
rnk.df <- data.frame(rnk=names(rnk), row.names=rnk)
#연봉 데이터의 취득
> teams <- c(”ベガルタ仙台”,”モンテディオ山形”,”鹿島アントラーズ”,
				“柏レイソル”,”浦和レッドダイヤモンズ”,”ガンバ大阪”,
				“大宮アルディージャ”,”川崎フロンターレ”,”横浜F・マリノス”,
				“ヴァンフォーレ甲府”,”アルビレックス新潟”,”清水エスパルス”,
				“ジュビロ磐田”,”名古屋グランパス”,”セレッソ大阪”,
				“ヴィッセル神戸”,”サンフレッチェ広島”,”アビスパ福岡”)
> year <- 2011
> urls <- paste0(”http://jsalary.wiki.fc2.com/wiki/”, year, “年”, teams)
> salary2011 <- lapply(urls, get.salary)
> names(salary2011) <- teams
> salary2011.df <- t(as.data.frame(salary2011))
#연봉 데이터와 연간 순위 데이터를 결합
> df <- merge(salary2011.df, rnk.df, by=”row.names”)
> rownames(df) <- df[,1]; df <- df[,-1]
#각 열의 형을 확인
> str(df)