﻿library(ggplot2)

# k-means 기법에 의한 클러스터링
sp.user.km <- kmeans(sp.user.data[, -1], 4)

# 주성분 분석의 결과에 클러스터 정보를 부여
sp.user.pca.df <- data.frame(sp.user.pca$x)
sp.user.pca.df$id <- sp.user.data$id
sp.user.pca.df$cluster <- as.factor(sp.user.km$cluster)

# 그리기
ggplot(sp.user.pca.df, aes(x = PC1, y = PC2, label = id, col = cluster)) + geom_text() + theme_bw(16)