library(MASS)
labrary(ggplot2)

# 선호 데이터 로딩
target.data <- read.csv(”target_preference_data.csv”, header = T)

# 비계량 MDS 실행
service.dist <- dist(t(target.data[, -1]))
service.map <- isoMDS(service.dist)

# 그리기용의 데이터 성형
service.map.df <- data.frame(scale(service.map$points))
service.map.df$service_name <- names(target.data[, -1])

# 그리기
ggplot(service.map.df, aes(x = X1, y = X2, label = service_name)) + geom_text() + theme_bw(16)