options(warn=-1)

# 선호 벡터의 추정
user.preference.data <- 
	do.call(rbind, 
				lapply(1:nrow(target.data), 
							function(i){
								preference.data <- data.frame(
									p=as.numeric(target.data[i,-1]),
									X1=service.map.df$X1,
									X2=service.map.df$X2)
								fit <- lm(p~., data=preference.data)
								b <- 2 / sqrt(fit$coef[”X1”]^2+fit$coef[”X2”]^2)185
								data.frame(X1=b*fit$coef[”X1”],
												X2=b*fit$coef[”X2”],
												service_name=i)
}))

# 선호 벡터 그리기
ggplot(service.map.df, aes(x=X1,y=X2,label=service_name)) +
	geom_text() +
	theme_bw(16) +
	xlim(-2,2) +
	ylim(-2,2) +
	geom_point(data=user.preference.data, aes(x=X1,y=X2))