library(ggplot2)
library(scales)

# GRP와 매출 데이터 로딩
grp.data <- read.csv(”grp.csv”, header = T)

# 상위 6건을 표시
head(grp.data)

# 산점도 그리기
ggplot(grp.data, aes(x = grp, y = amount)) +
	geom_point() +
	scale_y_continuous(label = comma, limits = c(0, 360000)) +
	ylab(”매출”) +
	xlab(”GRP”) +
	theme_bw(16)