# 선형 모델의 시각화는 geom_smooth 함수로 곧바로 할 수 있다
ggplot(grp.data, aes(x = grp, y = amount)) +
	geom_point() +
	scale_y_continuous(label = comma, limits = c(0, 360000)) +
	ylab(”매출”) +
	xlab(”GRP”) +
	geom_smooth(method = “lm”) +
	theme_bw(16)
	
# 모델 구축
fit <- lm(amount ~ grp, data = grp.data)

# 모델 개요 표시
summary(fit)