# 체감형 모델 구축
fit <- lm(log(amount) ~ log(grp), data = grp.data)

# 모델 개요
summary(fit)

# 예측 결과 그리기
fit.data <- data.frame(grp = grp.data$grp, amount =
exp(fit$fitted.values))
ggplot(grp.data, aes(x = grp, y = amount)) +
	geom_point() +
	geom_line(data = fit.data, aes(x = grp, y = amount)) +
	scale_y_continuous(label = comma, limits = c(0, 360000)) +
	ylab(”매출”) +
	xlab(”GRP”) +
	theme_bw(16)