library(plyr)

# A/B의 참의 수렴률을 설정
A1.CVR <- 0.09
B1.CVR <- 0.09

# 샘플 수
n <- 10000
set.seed(2)

# 시뮬레이션
AB1 <- data.frame(Pattern = c(rep(”A”, n), rep(”B”, n)), CV = c(rbinom(n, 1, A1.CVR), rbinom(n, 1, B1.CVR)))

# 수렴률 산출
ddply(AB1, .(Pattern), summarize, CVR = mean(CV))